@extends('layouts.template')

@section('content')
    <div class="container-fluid">
        <div class="row">
            <nav id="sidebarMenu" class="col-md-3 col-lg-2 d-md-block bg-light sidebar collapse">
                <div class="sidebar-sticky pt-3">
                    <ul class="nav flex-column">
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.dashboard', ['patient' => $patient]) }}">Dashboard</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.care-plan', ['patient' => $patient]) }}">Care
                                Plan</a></li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.medications', ['patient' => $patient]) }}">Medications</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.dx-and-focus-areas', ['patient' => $patient]) }}">Dx
                                and Focus Areas</a></li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.care-team', ['patient' => $patient]) }}">Care
                                Team</a></li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.measurements', ['patient' => $patient]) }}">Measurements</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.labs-and-studies', ['patient' => $patient]) }}">Labs
                                and Studies</a></li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.history', ['patient' => $patient]) }}">History</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.immunizations', ['patient' => $patient]) }}">Immunizations</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.allergies', ['patient' => $patient]) }}">Allergies</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.notes', ['patient' => $patient]) }}">Notes</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.flowsheets', ['patient' => $patient]) }}">Flowsheets</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.demographics', ['patient' => $patient]) }}">Demographics</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.account', ['patient' => $patient]) }}">Account</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.care-checklist', ['patient' => $patient]) }}">Care
                                Checklist</a></li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.documents', ['patient' => $patient]) }}">Documents</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.education', ['patient' => $patient]) }}">Education</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.messaging', ['patient' => $patient]) }}">Messaging</a>
                        </li>
                        <li class="nav-item"><a class="nav-link"
                                                href="{{ route('patients.view.duplicate', ['patient' => $patient]) }}">Duplicate</a>
                        </li>
                    </ul>
                </div>
            </nav>
            <main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-md-4">
                <div class="card mt-3">
                    <div class="card-header">
                        @if($patient->is_duplicate)
                            <div class="alert alert-danger">
                                This chart is a duplicate of: __________
                            </div>
                        @endif
                        <div class="d-flex">
                            <div>
                                <div class="font-weight-bold">
                                    {{$patient->name_last}}, {{$patient->name_first}} ({{$patient->dob}}
                                    ) {{$patient->age_in_years}} y.o. {{$patient->sex}}
                                </div>
                                <div>
                                    PCP:
                                    @if($patient->mcp)
                                        {{$patient->mcp->displayName()}}...
                                        @if($patient->has_mcp_done_onboarding_visit == 'YES')
                                            First E&M Visit: {{$patient->mcp_onboarding_visit_date}}...
                                            Last E&M Visit: {$patient->most_recent_mcp_em_visit_date}...
                                            Next E&M Visit: {$patient->next_mcp_em_visit_date}
                                        @else
                                            Patient has not been seen yet!
                                        @endif
                                    @else
                                        none! [assign someone]
                                    @endif
                                </div>
                                <div>
                                    Medical Assistant:
                                    @if($patient->cm)
                                        {{$patient->cm->displayName()}}
                                    @else
                                        none! [assign someone]
                                    @endif
                                </div>
                                <div>
                                    MCN:
                                    @if($patient->mcn)
                                        @if($patient->was_medicare_validation_successful)
                                            Valid #,
                                            @if($patient->is_part_b_primary == 'YES')
                                                Medicare Part B <i class="fa fa-check"></i>
                                            @else
                                                Not Medicare Part B <i class="fa fa-times"></i>
                                                |
                                                @if($patient->is_medicare_advantage == 'YES')
                                                    Medicare Advantage,
                                                    {{$patient->medicare_advantage_plan}}
                                                @endif
                                            @endif
                                        @else
                                            {{$patient->mcn}}
                                            INVALID! <i class="fa fa-times"></i>
                                            [Update MCN]
                                        @endif
                                    @else
                                        None provided. <i class="fa fa-times"></i>
                                    @endif
                                </div>
                            </div>
                            <div class="pl-4">
                                <div>
                                    Focus areas: <br>
                                    1. {main_reason1 || __}<br>
                                    2. {main_reason2 || __}<br>
                                    3. {main_reason3 || __}
                                </div>
                            </div>
                            <div class="pl-4">
                                Height: ___ in. Weight: ___ lbs. <br>
                                BMI: ___ (UNDER/NORM/OVERWEIGHT/OBESE)<br>
                                CCM? {Yes || No} { Opted out? }<br>
                                RPM? {Yes || No} { Opted out? }<br>
                            </div>
                            <div class="pl-4">
                                Allergies: <br>
                                ... <br>
                                ... <br>
                                ...
                            </div>
                            <div class="pl-4 text-right flex-fill">
                                <div>
                                    <button class="btn btn-primary btn-sm"><i class="fa fa-plus-circle"></i> Add Note</button>
                                </div>
                                <div class="pt-2">
                                    <button class="btn btn-primary btn-sm"><i class="fa fa-book"></i> Pt. Ed.</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <h1 class="h3">@yield('section-title')</h1>
                        <div>
                            @yield('inner-content')
                        </div>
                    </div>
                </div>

            </main>
        </div>
    </div>
@endsection
